<?php

    include("../../classes/database.class.php");
    include("../../classes/documentoModel.class.php");
    include("../../classes/documentoController.class.php");


    $idEntidade = $_POST["idEntidade"];
    $entregue = $_POST["entregue"];


    if($idEntidade == ""){
        $idEntidade = null;
    }
    if($entregue == ""){
        $entregue = null;
    }


        $idUsuario = null;
        $idTipoDoc = null;
        $idPrazoPagamento = null;
        $total = null;
        $troco = null;
        $totalLiquido = null;
        $totalImposto = null;
        $descontoGlobal = null;

    $modelo = new DocumentoController($idUsuario, $idTipoDoc, $idEntidade, $idPrazoPagamento, $entregue, $total, $troco, $totalLiquido, $totalImposto, $descontoGlobal);
    $id = $modelo->updateEntregue();
    echo json_encode($id);